Here are some things that would be useful additions to groff:

  ideal preprocessor

  -mv macros (for typesetting viewgraphs and slides)

  a deroff that understands long names

  a page-makeup postprocessor and associated macro package
  (like pm and -mpm)

If you want to work on one of these, you should probably post to
gnu.groff.bug (or send email to bug-groff@gnu.org) to see if anyone else
has gotten there first.
